# Add image to sheet summary

Adds an image to the summary field.

Endpoint: POST /sheets/{sheetId}/summary/fields/{fieldId}/images
Version: 2.0.0
Security: APIToken, OAuth2

## Path parameters:

  - `sheetId` (number, required)
    ID of the sheet being accessed.

  - `fieldId` (number, required)
    ID of the sheet summary field being accessed.

## Header parameters:

  - `Authorization` (string)
    API Access Token used to authenticate requests to Smartsheet APIs.

  - `smartsheet-integration-source` (string)
    Uses the following metadata to distinguish between human-initiated API requests and third-party service-initiated calls by AI Connectors or ITSM:

- Integration source type
- Organization name
- Integration source name 

Format:


TYPE,OrgName,SourceName


Examples: 

AI,SampleOrg,My-AI-Connector-v2

SCRIPT,SampleOrg2,Accounting-updater-script

APPLICATION,SampleOrg3,SheetUpdater
    Example: "AI,SampleOrg,My-AI-Connector-v2"

  - `Content-Type` (string)
    Required for POST and PUT requests. Defines the structure for the request body.

  - `Content-Disposition` (string)
    Should be equal to "attachment" to tell the API that a file is in the body of the POST request, followed by a semicolon, followed by filename= and the URL-encoded filename in quotes
    Example: "attachment; filename=\"ProgressReport.docx\""

  - `Content-Length` (integer)
    Must be set to the size of the file, in bytes. For example to determine file size using in UNIX:
$ ls -l ProgressReport.docx
5463 ProgressReport.docx
    Example: 5463

## Query parameters:

  - `altText` (string)
    Url-encoded alternate text for the image

  - `overrideValidation` (boolean)
    You may use the query string parameter overrideValidation with a value of true to allow a cell value outside of the validation limits. You must specify strict with a value of false to bypass value type checking.

## Response 200 fields (application/json):

  - `message` (string)
    Message that indicates the outcome of the request. (One of SUCCESS or PARTIAL_SUCCESS.)
    Enum: "PARTIAL_SUCCESS", "SUCCESS"

  - `resultCode` (number)
    * '0' Success
* '3' Partial Success of Bulk Operation
    Enum: 0, 3

  - `result` (object)

  - `result.id` (number)
    SummaryField ID.

  - `result.index` (number)
    Field index or position. This number is zero-based.

  - `result.title` (string)
    Arbitrary name, must be unique within summary.

  - `result.type` (string)
    Enum: "ABSTRACT_DATETIME", "CHECKBOX", "CONTACT_LIST", "DATE", "DATETIME", "DURATION", "MULTI_CONTACT_LIST", "MULTI_PICKLIST", "PICKLIST", "PREDECESSOR", "TEXT_NUMBER"

  - `result.locked` (boolean)
    Indicates whether the field is locked.

  - `result.lockedForUser` (boolean)
    Indicates whether the field is locked for the requesting user.

  - `result.objectValue` (any)

  - `result.formula` (string)
    The formula for a cell, if set.

  - `result.image` (object)

  - `result.image.altText` (string)
    Alternate text for the image.

  - `result.image.height` (number)
    Original height (in pixels) of the uploaded image.

  - `result.image.id` (string)
    Image ID.

  - `result.image.width` (number)
    Original width (in pixels) of the uploaded image.

  - `result.createdAt` (any)

  - `result.modifiedAt` (any)

  - `result.version` (number)
    Sheet version number that is incremented every time a sheet is modified.

## Response default fields (application/json):

  - `refId` (string)
    The ID of the specific error occurrence. Please include this information when contacting Smartsheet support.

  - `errorCode` (number)
    Custom error code from Smartsheet. See the complete [Error Code List](/api/smartsheet/error-codes).

  - `message` (string)
    Descriptive error message.


